# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include workstation::mac::homebrew::manage
class workstation::mac::homebrew::manage (
  Optional[String[1]] $github_token = $workstation::github_token,
  String[1] $user = $workstation::user,
) {

  file { '/usr/local/sbin':
    ensure => directory,
    owner  => $user,
  }

  class { 'homebrew':
    user         => $user,
    github_token => $github_token,
    require      => File['/usr/local/sbin'],
  }

}
